[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Important change if you use python-setuptools



On 28/08/07, Luke Macken <lmacken redhat com> wrote:
On Tue, Aug 28, 2007 at 01:32:31PM -0400, Konstantin Ryabitsev wrote:
> Hello, all:
>
> The python-setuptools package was split into two: python-setuptools,
> containing runtime-specific files (pkg_resources.py) and
> python-setuptools-devel, containing all other stuff necessary for
> building python packages. If your package uses python-setuptools in
> order to build, you will need to modify BuildRequires to reflect this
> change:
>
> bad: BuildRequires: python-setuptools
> good: BuildRequires: python-setuptools-devel
>
> Applies to:
> F8 (current development) and up
>
> Reasons for change:
> Avoiding unnecessary dependencies on python-devel for those packages
> that use the runtime components of python-setuptools .
> See https://bugzilla.redhat.com/show_bug.cgi?id=251645 for more info.

After a quick grep, it looks like these are the owners/packages that need
to be modified to reflect this change.

     'snecker': ['jokosher'],


Thanks for the heads up Konstantin and for generating the list Luke. Above is fixed and built in Koji.

http://koji.fedoraproject.org/koji/buildinfo?buildID=17734

Cheers
Chris


--
http://www.chruz.com
[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]